Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionRubberBand

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.gui.QStyleOption
                  com.trolltech.qt.gui.QStyleOptionRubberBand

All Implemented Interfaces:
  QtJambiInterface

    public class QStyleOptionRubberBand

extends QStyleOption

The `QStyleOptionRubberBand` class is used to describe the parameters needed for drawing a rubber band.

`QStyleOptionRubberBand` contains all the information that `QStyle` functions need to draw `QRubberBand`.

For performance reasons, the access to the member variables is direct (i.e., using the `.` or `->` operator). This low-level feel makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

For an example demonstrating how style options can be used, see the Styles example.

See Also:
  `QStyleOption`, `QRubberBand`

Nested Class Summary
`static class` | `QStyleOptionRubberBand.StyleOptionType` This enum is used to hold information about the type of the style option, and is defined for each `QStyleOption` subclass.
`static class` | `QStyleOptionRubberBand.StyleOptionVersion` This enum is used to hold information about the version of the style option, and is defined for each `QStyleOption` subclass.

Nested classes/interfaces inherited from class com.trolltech.qt.gui.QStyleOption
`QStyleOption.OptionType`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QStyleOptionRubberBand()` Creates a `QStyleOptionRubberBand`, initializing the members variables to their default values.
`protected` | `QStyleOptionRubberBand(int version)`
`` | `QStyleOptionRubberBand(QStyleOptionRubberBand other)` Constructs a copy of the `other` style option.

Method Summary
`static QStyleOptionRubberBand` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QStyleOptionRubberBand instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QStyleOptionRubberBand[] array)` This function returns a QNativePointer that is pointing to the specified QStyleOptionRubberBand array.
`boolean` | `opaque()` Returns whether the rubber band is required to be drawn in an opaque style.
`void` | `setOpaque(boolean opaque)` Sets whether the rubber band is required to be drawn in an opaque style to `opaque`.
`void` | `setShape(QRubberBand.Shape shape)` Sets the shape of the rubber band to `shape`.
`QRubberBand.Shape` | `shape()` Returns the shape of the rubber band.

Methods inherited from class com.trolltech.qt.gui.QStyleOption
`direction, fontMetrics, initFrom, nativePointerArray, palette, rect, setDirection, setFontMetrics, setPalette, setRect, setState, setState, setType, setVersion, state, type, version`

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QStyleOptionRubberBand

    public QStyleOptionRubberBand(QStyleOptionRubberBand other)

  Constructs a copy of the `other` style option.

### QStyleOptionRubberBand

    public QStyleOptionRubberBand()

  Creates a `QStyleOptionRubberBand`, initializing the members variables to their default values.

### QStyleOptionRubberBand

    protected QStyleOptionRubberBand(int version)

Method Detail

### setOpaque

    public final void setOpaque(boolean opaque)

  Sets whether the rubber band is required to be drawn in an opaque style to `opaque`.

  The default value is true.

  See Also:
    `opaque`

### opaque

    public final boolean opaque()

  Returns whether the rubber band is required to be drawn in an opaque style.

  The default value is true.

  See Also:
    `setOpaque`

### setShape

    public final void setShape(QRubberBand.Shape shape)

  Sets the shape of the rubber band to `shape`.

  The default shape is QRubberBand::Line.

  See Also:
    `shape`

### shape

    public final QRubberBand.Shape shape()

  Returns the shape of the rubber band.

  The default shape is QRubberBand::Line.

  See Also:
    `setShape`

### fromNativePointer

    public static QStyleOptionRubberBand fromNativePointer(QNativePointer nativePointer)

  This function returns the QStyleOptionRubberBand instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QStyleOptionRubberBand[] array)

  This function returns a QNativePointer that is pointing to the specified QStyleOptionRubberBand array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD